### Enumeration

# Fwupd GuidFlags

#### Declaration

    flags Fwupd.GuidFlags

#### Description [src]

The flags to show how the data should be converted.

#### Members

`FWUPD_GUID_FLAG_NONE`

  No endian swapping.

  - Value: `0`
  - Available since: 1.2.5
`FWUPD_GUID_FLAG_NAMESPACE_MICROSOFT`

  Use the Microsoft-compatible namespace.

  - Value: `1`
  - Available since: 1.2.5
`FWUPD_GUID_FLAG_MIXED_ENDIAN`

  Use EFI mixed endian representation, as used in EFI.

  - Value: `2`
  - Available since: 1.2.5